using System.Collections.Generic;

public abstract class NeuralNetwork
{
    public float[] Compute(float[] inputs)
    {
        float[] result = inputs;

        foreach(NeuralNetworkLayer neuralNetworkLayer in Setup())
        {
            result = neuralNetworkLayer.Compute(result);
        }

        return result;
    }

    protected abstract List<NeuralNetworkLayer> Setup();
}
